Create dependencies on the fly rather than in a separate step.

Signed-off-by: Stefan Reinauer <stepan@coresystems.de>

Index: Makefile
===================================================================
--- Makefile	(revision 972)
+++ Makefile	(working copy)
@@ -65,7 +65,7 @@
 
 PROGRAMMER_OBJS = udelay.o programmer.o
 
-all: pciutils features dep $(PROGRAM)
+all: pciutils features $(PROGRAM)
 
 # Set the flashrom version string from the highest revision number
 # of the checked out flashrom files.
@@ -244,17 +244,14 @@
 TAROPTIONS = $(shell LC_ALL=C tar --version|grep -q GNU && echo "--owner=root --group=root")
 
 %.o: %.c .features
-	$(CC) $(CFLAGS) $(CPPFLAGS) $(FEATURE_CFLAGS) $(SVNDEF) -o $@ -c $<
+	$(CC) -MMD $(CFLAGS) $(CPPFLAGS) $(FEATURE_CFLAGS) $(SVNDEF) -o $@ -c $<
 
 clean:
-	rm -f $(PROGRAM) *.o
+	rm -f $(PROGRAM) $(OBJS) $(OBJS:.o=.d)
 
 distclean: clean
-	rm -f .dependencies .features .libdeps
+	rm -f .features .libdeps
 
-dep:
-	@$(CC) $(CPPFLAGS) $(SVNDEF) -MM *.c > .dependencies
-
 strip: $(PROGRAM)
 	$(STRIP) $(STRIP_ARGS) $(PROGRAM)
 
@@ -337,6 +334,6 @@
 djgpp-dos: clean
 	make CC=i586-pc-msdosdjgpp-gcc STRIP=i586-pc-msdosdjgpp-strip WARNERROR=no OS_ARCH=DOS
 
-.PHONY: all clean distclean dep compiler pciutils features export tarball dos
+.PHONY: all clean distclean compiler pciutils features export tarball dos
 
--include .dependencies
+-include $(OBJS:.o=.d)
